diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/capabilities.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/capabilities.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/capabilities.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/capabilities.php	2012-10-29 12:35:30.000000000 -0500
***************
*** 1131,1137 ****
  		if ( defined( 'DISALLOW_UNFILTERED_HTML' ) && DISALLOW_UNFILTERED_HTML )
  			$caps[] = 'do_not_allow';
  		elseif ( is_multisite() && ! is_super_admin( $user_id ) )
! 			$caps[] = $cap;
  		else
  			$caps[] = $cap;
  		break;
--- 1131,1137 ----
  		if ( defined( 'DISALLOW_UNFILTERED_HTML' ) && DISALLOW_UNFILTERED_HTML )
  			$caps[] = 'do_not_allow';
  		elseif ( is_multisite() && ! is_super_admin( $user_id ) )
! 			$caps[] = 'do_not_allow';
  		else
  			$caps[] = $cap;
  		break;
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-oembed.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-oembed.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-oembed.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-oembed.php	2012-10-29 12:35:30.000000000 -0500
***************
*** 213,220 ****
  			$errors = libxml_use_internal_errors( 'true' );
  			$data = simplexml_load_string( $response_body );
  			libxml_use_internal_errors( $errors );
! 			if ( is_object( $data ) )
! 				return $data;
  		}
  		return false;
  	}
--- 213,226 ----
  			$errors = libxml_use_internal_errors( 'true' );
  			$data = simplexml_load_string( $response_body );
  			libxml_use_internal_errors( $errors );
! 			if ( ! is_object( $data ) )
! 				return false;
! 
! 			$return = new stdClass;
! 			foreach ( $data as $key => $value )
! 				$return->$key = (string) $value;
! 
! 			return $return;
  		}
  		return false;
  	}
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-wp-atom-server.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-atom-server.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-wp-atom-server.php	2012-08-30 12:42:14.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-atom-server.php	2012-10-29 12:35:29.000000000 -0500
***************
*** 167,175 ****
  				array('GET' => 'get_attachment',
  						'POST' => 'create_attachment'),
  			'@/attachment/file/(\d+)$@' =>
! 				array('GET' => 'get_file',
! 						'PUT' => 'put_file',
! 						'DELETE' => 'delete_file'),
  			'@/attachment/(\d+)$@' =>
  				array('GET' => 'get_attachment',
  						'PUT' => 'put_attachment',
--- 167,173 ----
  				array('GET' => 'get_attachment',
  						'POST' => 'create_attachment'),
  			'@/attachment/file/(\d+)$@' =>
! 				array('GET' => 'get_file'),
  			'@/attachment/(\d+)$@' =>
  				array('GET' => 'get_attachment',
  						'PUT' => 'put_attachment',
***************
*** 315,320 ****
--- 313,324 ----
  
  		$entry = array_pop($parser->feed->entries);
  
+ 		$publish = ! ( isset( $entry->draft ) && 'yes' == trim( $entry->draft ) );
+ 		$cap = ($publish) ? 'publish_posts' : 'edit_posts';
+ 
+ 		if ( !current_user_can($cap) )
+ 			$this->auth_required(__('Sorry, you do not have the right to edit/publish new posts.'));
+ 
  		$catnames = array();
  		if ( !empty( $entry->categories ) ) {
  			foreach ( $entry->categories as $cat ) {
***************
*** 331,343 ****
  				array_push($post_category, $cat->term_id);
  		}
  
- 		$publish = ! ( isset( $entry->draft ) && 'yes' == trim( $entry->draft ) );
- 
- 		$cap = ($publish) ? 'publish_posts' : 'edit_posts';
- 
- 		if ( !current_user_can($cap) )
- 			$this->auth_required(__('Sorry, you do not have the right to edit/publish new posts.'));
- 
  		$blog_ID = get_current_blog_id();
  		$post_status = ($publish) ? 'publish' : 'draft';
  		$post_author = (int) $user_ID;
--- 335,340 ----
***************
*** 398,404 ****
  	function get_post($postID) {
  		global $entry;
  
! 		if ( !current_user_can( 'edit_post', $postID ) )
  			$this->auth_required( __( 'Sorry, you do not have the right to access this post.' ) );
  
  		$this->set_current_entry($postID);
--- 395,401 ----
  	function get_post($postID) {
  		global $entry;
  
! 		if ( ! get_post( $postID ) || ! current_user_can( 'edit_post', $postID ) )
  			$this->auth_required( __( 'Sorry, you do not have the right to access this post.' ) );
  
  		$this->set_current_entry($postID);
***************
*** 429,438 ****
  		global $entry;
  		$this->set_current_entry($postID);
  
! 		if ( !current_user_can('edit_post', $entry['ID']) )
  			$this->auth_required(__('Sorry, you do not have the right to edit this post.'));
  
  		$publish = ! ( isset($parsed->draft) && 'yes' == trim($parsed->draft) );
  		$post_status = ($publish) ? 'publish' : 'draft';
  
  		extract($entry);
--- 426,439 ----
  		global $entry;
  		$this->set_current_entry($postID);
  
! 		if ( !current_user_can('edit_post', $postID) )
  			$this->auth_required(__('Sorry, you do not have the right to edit this post.'));
  
  		$publish = ! ( isset($parsed->draft) && 'yes' == trim($parsed->draft) );
+ 
+ 		if ( $publish && ! current_user_can( 'publish_posts' ) )
+ 			$this->auth_required( __( 'Sorry, you do not have the right to publish this post.' ) );
+ 
  		$post_status = ($publish) ? 'publish' : 'draft';
  
  		extract($entry);
***************
*** 473,479 ****
  		global $entry;
  		$this->set_current_entry($postID);
  
! 		if ( !current_user_can('edit_post', $postID) )
  			$this->auth_required(__('Sorry, you do not have the right to delete this post.'));
  
  		if ( $entry['post_type'] == 'attachment' ) {
--- 474,480 ----
  		global $entry;
  		$this->set_current_entry($postID);
  
! 		if ( !current_user_can('delete_post', $postID) )
  			$this->auth_required(__('Sorry, you do not have the right to delete this post.'));
  
  		if ( $entry['post_type'] == 'attachment' ) {
***************
*** 504,509 ****
--- 505,513 ----
  		if ( !isset($postID) ) {
  			$this->get_attachments();
  		} else {
+ 			if ( ! current_user_can( 'edit_post', $postID ) )
+ 				$this->auth_required( __( 'Sorry, you do not have the right to edit this post.' ) );
+ 
  			$this->set_current_entry($postID);
  			$output = $this->get_entry($postID, 'attachment');
  			$this->output($output);
***************
*** 589,595 ****
  		global $entry;
  		$this->set_current_entry($postID);
  
! 		if ( !current_user_can('edit_post', $entry['ID']) )
  			$this->auth_required(__('Sorry, you do not have the right to edit this post.'));
  
  		extract($entry);
--- 593,599 ----
  		global $entry;
  		$this->set_current_entry($postID);
  
! 		if ( !current_user_can('edit_post', $entry['ID']) || 'attachment' != $entry['post_type'] )
  			$this->auth_required(__('Sorry, you do not have the right to edit this post.'));
  
  		extract($entry);
***************
*** 624,630 ****
  		global $entry;
  		$this->set_current_entry($postID);
  
! 		if ( !current_user_can('edit_post', $postID) )
  			$this->auth_required(__('Sorry, you do not have the right to delete this post.'));
  
  		$location = get_post_meta($entry['ID'], '_wp_attached_file', true);
--- 628,634 ----
  		global $entry;
  		$this->set_current_entry($postID);
  
! 		if ( !current_user_can('delete_post', $postID) )
  			$this->auth_required(__('Sorry, you do not have the right to delete this post.'));
  
  		$location = get_post_meta($entry['ID'], '_wp_attached_file', true);
***************
*** 633,643 ****
  		if ( !isset($location) || 'attachment' != $entry['post_type'] || empty($filetype['ext']) )
  			$this->internal_error(__('Error occurred while accessing post metadata for file location.'));
  
- 		// delete file
- 		@unlink($location);
- 
  		// delete attachment
! 		$result = wp_delete_post($postID);
  
  		if ( !$result )
  			$this->internal_error(__('For some strange yet very annoying reason, this post could not be deleted.'));
--- 637,644 ----
  		if ( !isset($location) || 'attachment' != $entry['post_type'] || empty($filetype['ext']) )
  			$this->internal_error(__('Error occurred while accessing post metadata for file location.'));
  
  		// delete attachment
! 		$result = wp_delete_attachment($postID);
  
  		if ( !$result )
  			$this->internal_error(__('For some strange yet very annoying reason, this post could not be deleted.'));
***************
*** 970,976 ****
  
  		$count = get_option('posts_per_rss');
  
! 		wp('posts_per_page=' . $count . '&offset=' . ($count * ($page-1)) . '&orderby=modified&post_status=any');
  
  		$post = $GLOBALS['post'];
  		$posts = $GLOBALS['posts'];
--- 971,977 ----
  
  		$count = get_option('posts_per_rss');
  
! 		wp('posts_per_page=' . $count . '&offset=' . ($count * ($page-1)) . '&orderby=modified&perm=readable');
  
  		$post = $GLOBALS['post'];
  		$posts = $GLOBALS['posts'];
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-wp-customize-control.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-customize-control.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-wp-customize-control.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-customize-control.php	2012-10-29 12:35:30.000000000 -0500
***************
*** 321,326 ****
--- 321,341 ----
  
  		$this->add_tab( 'upload-new', __('Upload New'), array( $this, 'tab_upload_new' ) );
  		$this->add_tab( 'uploaded',   __('Uploaded'),   array( $this, 'tab_uploaded' ) );
+ 
+ 		// Early priority to occur before $this->manager->prepare_controls();
+ 		add_action( 'customize_controls_init', array( $this, 'prepare_control' ), 5 );
+ 	}
+ 
+ 	/**
+ 	 * Prepares the control.
+ 	 *
+ 	 * If no tabs exist, removes the control from the manager.
+ 	 *
+ 	 * @since 3.4.2
+ 	 */
+ 	public function prepare_control() {
+ 		if ( ! $this->tabs )
+ 			$this->manager->remove_control( $this->id );
  	}
  
  	public function to_json() {
***************
*** 455,460 ****
--- 470,489 ----
  }
  
  class WP_Customize_Header_Image_Control extends WP_Customize_Image_Control {
+ 	/**
+ 	 * The processed default headers.
+ 	 * @since 3.4.2
+ 	 * @var array
+ 	 */
+ 	protected $default_headers;
+ 
+ 	/**
+ 	 * The uploaded headers.
+ 	 * @since 3.4.2
+ 	 * @var array
+ 	 */
+ 	protected $uploaded_headers;
+ 
  	public function __construct( $manager ) {
  		parent::__construct( $manager, 'header_image', array(
  			'label'    => __( 'Header Image' ),
***************
*** 474,480 ****
  			)
  		) );
  
! 		$this->add_tab( 'default',  __('Default'),  array( $this, 'tab_default_headers' ) );
  	}
  
  	public function print_header_image( $choice, $header ) {
--- 503,536 ----
  			)
  		) );
  
! 		// Remove the upload tab.
! 		$this->remove_tab( 'upload-new' );
! 	}
! 
! 	/**
! 	 * Prepares the control.
! 	 *
! 	 * If no tabs exist, removes the control from the manager.
! 	 *
! 	 * @since 3.4.2
! 	 */
! 	public function prepare_control() {
! 		global $custom_image_header;
! 		if ( empty( $custom_image_header ) )
! 			return parent::prepare_control();
! 
! 		// Process default headers and uploaded headers.
! 		$custom_image_header->process_default_headers();
! 		$this->default_headers = $custom_image_header->default_headers;
! 		$this->uploaded_headers = get_uploaded_header_images();
! 
! 		if ( $this->default_headers )
! 			$this->add_tab( 'default',  __('Default'),  array( $this, 'tab_default_headers' ) );
! 
! 		if ( ! $this->uploaded_headers )
! 			$this->remove_tab( 'uploaded' );
! 
! 		return parent::prepare_control();
  	}
  
  	public function print_header_image( $choice, $header ) {
***************
*** 498,516 ****
  	}
  
  	public function tab_uploaded() {
- 		$headers = get_uploaded_header_images();
- 
  		?><div class="uploaded-target"></div><?php
  
! 		foreach ( $headers as $choice => $header )
  			$this->print_header_image( $choice, $header );
  	}
  
  	public function tab_default_headers() {
! 		global $custom_image_header;
! 		$custom_image_header->process_default_headers();
! 
! 		foreach ( $custom_image_header->default_headers as $choice => $header )
  			$this->print_header_image( $choice, $header );
  	}
  }
\ No newline at end of file
--- 554,567 ----
  	}
  
  	public function tab_uploaded() {
  		?><div class="uploaded-target"></div><?php
  
! 		foreach ( $this->uploaded_headers as $choice => $header )
  			$this->print_header_image( $choice, $header );
  	}
  
  	public function tab_default_headers() {
! 		foreach ( $this->default_headers as $choice => $header )
  			$this->print_header_image( $choice, $header );
  	}
  }
\ No newline at end of file
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-wp-editor.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-editor.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-wp-editor.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-editor.php	2012-10-29 12:35:29.000000000 -0500
***************
*** 783,789 ****
  			<div class="link-search-wrapper">
  				<label>
  					<span><?php _e( 'Search' ); ?></span>
! 					<input type="search" id="search-field" class="link-search-field" tabindex="60" autocomplete="off" />
  					<img class="waiting" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" />
  				</label>
  			</div>
--- 783,789 ----
  			<div class="link-search-wrapper">
  				<label>
  					<span><?php _e( 'Search' ); ?></span>
! 					<input type="text" id="search-field" class="link-search-field" tabindex="60" autocomplete="off" />
  					<img class="waiting" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" />
  				</label>
  			</div>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-wp-theme.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-theme.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-wp-theme.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-theme.php	2012-10-29 12:35:30.000000000 -0500
***************
*** 794,800 ****
  	 * @return string URL to the stylesheet directory.
  	 */
  	public function get_stylesheet_directory_uri() {
! 		return $this->get_theme_root_uri() . '/' . $this->stylesheet;
  	}
  
  	/**
--- 794,800 ----
  	 * @return string URL to the stylesheet directory.
  	 */
  	public function get_stylesheet_directory_uri() {
! 		return $this->get_theme_root_uri() . '/' . str_replace( '%2F', '/', rawurlencode( $this->stylesheet ) );
  	}
  
  	/**
***************
*** 814,820 ****
  		else
  			$theme_root_uri = $this->get_theme_root_uri();
  
! 		return $theme_root . '/' . $this->template;
  	}
  
  	/**
--- 814,820 ----
  		else
  			$theme_root_uri = $this->get_theme_root_uri();
  
! 		return $theme_root_uri . '/' . str_replace( '%2F', '/', rawurlencode( $this->template ) );
  	}
  
  	/**
***************
*** 1071,1077 ****
  	 * @return array Array of stylesheet names.
  	 */
  	public static function get_allowed( $blog_id = null ) {
! 		return self::get_allowed_on_network() + self::get_allowed_on_site( $blog_id );
  	}
  
  	/**
--- 1071,1078 ----
  	 * @return array Array of stylesheet names.
  	 */
  	public static function get_allowed( $blog_id = null ) {
! 		$network = (array) apply_filters( 'allowed_themes', self::get_allowed_on_network() );
! 		return $network + self::get_allowed_on_site( $blog_id );
  	}
  
  	/**
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-wp-xmlrpc-server.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-xmlrpc-server.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/class-wp-xmlrpc-server.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-xmlrpc-server.php	2012-10-29 12:35:30.000000000 -0500
***************
*** 622,628 ****
--- 622,632 ----
  			'post_password'     => $post['post_password'],
  			'post_excerpt'      => $post['post_excerpt'],
  			'post_content'      => $post['post_content'],
+ 			'post_parent'       => strval( $post['post_parent'] ),
+ 			'post_mime_type'    => $post['post_mime_type'],
  			'link'              => post_permalink( $post['ID'] ),
+ 			'guid'              => $post['guid'],
+ 			'menu_order'        => intval( $post['menu_order'] ),
  			'comment_status'    => $post['comment_status'],
  			'ping_status'       => $post['ping_status'],
  			'sticky'            => ( $post['post_type'] === 'post' && is_sticky( $post['ID'] ) ),
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/formatting.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/formatting.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/formatting.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/formatting.php	2012-10-29 12:35:29.000000000 -0500
***************
*** 3236,3242 ****
   * @return string URLs starting with the http or https protocol, separated by a carriage return.
   */
  function sanitize_trackback_urls( $to_ping ) {
! 	$urls_to_ping = preg_split( '/\r\n\t /', trim( $to_ping ), -1, PREG_SPLIT_NO_EMPTY );
  	foreach ( $urls_to_ping as $k => $url ) {
  		if ( !preg_match( '#^https?://.#i', $url ) )
  			unset( $urls_to_ping[$k] );
--- 3236,3242 ----
   * @return string URLs starting with the http or https protocol, separated by a carriage return.
   */
  function sanitize_trackback_urls( $to_ping ) {
! 	$urls_to_ping = preg_split( '/[\r\n\t ]/', trim( $to_ping ), -1, PREG_SPLIT_NO_EMPTY );
  	foreach ( $urls_to_ping as $k => $url ) {
  		if ( !preg_match( '#^https?://.#i', $url ) )
  			unset( $urls_to_ping[$k] );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/functions.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/functions.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/functions.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/functions.php	2012-10-29 12:35:29.000000000 -0500
***************
*** 1486,1492 ****
  
  	// Make sure we have an uploads dir
  	if ( ! wp_mkdir_p( $uploads['path'] ) ) {
! 		$message = sprintf( __( 'Unable to create directory %s. Is its parent directory writable by the server?' ), $uploads['path'] );
  		return array( 'error' => $message );
  	}
  
--- 1486,1497 ----
  
  	// Make sure we have an uploads dir
  	if ( ! wp_mkdir_p( $uploads['path'] ) ) {
! 		if ( 0 === strpos( $uploads['basedir'], ABSPATH ) )
! 			$error_path = str_replace( ABSPATH, '', $uploads['basedir'] ) . $uploads['subdir'];
! 		else
! 			$error_path = basename( $uploads['basedir'] ) . $uploads['subdir'];
! 
! 		$message = sprintf( __( 'Unable to create directory %s. Is its parent directory writable by the server?' ), $error_path );
  		return array( 'error' => $message );
  	}
  
***************
*** 1604,1610 ****
  
  	$new_file = $upload['path'] . "/$filename";
  	if ( ! wp_mkdir_p( dirname( $new_file ) ) ) {
! 		$message = sprintf( __( 'Unable to create directory %s. Is its parent directory writable by the server?' ), dirname( $new_file ) );
  		return array( 'error' => $message );
  	}
  
--- 1609,1620 ----
  
  	$new_file = $upload['path'] . "/$filename";
  	if ( ! wp_mkdir_p( dirname( $new_file ) ) ) {
! 		if ( 0 === strpos( $upload['basedir'], ABSPATH ) )
! 			$error_path = str_replace( ABSPATH, '', $upload['basedir'] ) . $upload['subdir'];
! 		else
! 			$error_path = basename( $upload['basedir'] ) . $upload['subdir'];
! 
! 		$message = sprintf( __( 'Unable to create directory %s. Is its parent directory writable by the server?' ), $error_path );
  		return array( 'error' => $message );
  	}
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/js/imgareaselect/jquery.imgareaselect.dev.js /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/imgareaselect/jquery.imgareaselect.dev.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/js/imgareaselect/jquery.imgareaselect.dev.js	2012-08-30 12:42:14.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/imgareaselect/jquery.imgareaselect.dev.js	2012-10-29 12:35:29.000000000 -0500
***************
*** 1,6 ****
  /*
   * imgAreaSelect jQuery plugin
!  * version 0.9.8
   *
   * Copyright (c) 2008-2011 Michal Wojciechowski (odyniec.net)
   *
--- 1,6 ----
  /*
   * imgAreaSelect jQuery plugin
!  * version 0.9.9
   *
   * Copyright (c) 2008-2011 Michal Wojciechowski (odyniec.net)
   *
***************
*** 706,712 ****
          setSelection(selX(x1), selY(y1), selX(x1), selY(y1));
  
          /* If this is an API call, callback functions should not be triggered */
!         if (!this instanceof $.imgAreaSelect) {
              options.onSelectChange(img, getSelection());
              options.onSelectEnd(img, getSelection());
          }
--- 706,712 ----
          setSelection(selX(x1), selY(y1), selX(x1), selY(y1));
  
          /* If this is an API call, callback functions should not be triggered */
!         if (!(this instanceof $.imgAreaSelect)) {
              options.onSelectChange(img, getSelection());
              options.onSelectEnd(img, getSelection());
          }
***************
*** 866,872 ****
       *            properties
       */
      function styleOptions($elem, props) {
!         for (option in props)
              if (options[option] !== undefined)
                  $elem.css(props[option], options[option]);
      }
--- 866,872 ----
       *            properties
       */
      function styleOptions($elem, props) {
!         for (var option in props)
              if (options[option] !== undefined)
                  $elem.css(props[option], options[option]);
      }
***************
*** 1143,1149 ****
       * attribute seems to trigger it. The check is for version 7 and above to
       * accommodate for MSIE 9 running in compatibility mode.
       */
!    if ($.browser.msie && $.browser.version >= 7)
          img.src = img.src;
  };
  
--- 1143,1149 ----
       * attribute seems to trigger it. The check is for version 7 and above to
       * accommodate for MSIE 9 running in compatibility mode.
       */
!    if (!imgLoaded && $.browser.msie && $.browser.version >= 7)
          img.src = img.src;
  };
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/js/plupload/wp-plupload.dev.js /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/plupload/wp-plupload.dev.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/js/plupload/wp-plupload.dev.js	2012-08-30 12:42:14.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/plupload/wp-plupload.dev.js	2012-10-29 12:35:29.000000000 -0500
***************
*** 73,78 ****
--- 73,82 ----
  			this.plupload[ elements[ key ] ] = this[ key ].prop('id');
  		}
  
+ 		// If the uploader has neither a browse button nor a dropzone, bail.
+ 		if ( ! ( this.browser && this.browser.length ) && ! ( this.dropzone && this.dropzone.length ) )
+ 			return;
+ 
  		this.uploader = new plupload.Uploader( this.plupload );
  		delete this.plupload;
  
***************
*** 113,119 ****
  			});
  		}( this.dropzone, this.supports.dragdrop ));
  
! 		this.browser.on( 'mouseenter', this.refresh );
  
  		this.uploader.bind( 'UploadProgress', this.progress );
  
--- 117,129 ----
  			});
  		}( this.dropzone, this.supports.dragdrop ));
  
! 		if ( this.browser ) {
! 			this.browser.on( 'mouseenter', this.refresh );
! 		} else {
! 			this.uploader.disableBrowse( true );
! 			// If HTML5 mode, hide the auto-created file container.
! 			$('#' + this.uploader.id + '_html5_container').hide();
! 		}
  
  		this.uploader.bind( 'UploadProgress', this.progress );
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/js/tinymce/langs/wp-langs.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/langs/wp-langs.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/js/tinymce/langs/wp-langs.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/langs/wp-langs.php	2012-10-29 12:35:30.000000000 -0500
***************
*** 8,13 ****
--- 8,16 ----
  	return esc_js($text);
  }
  
+ if ( ! class_exists( '_WP_Editors' ) )
+ 	require( ABSPATH . WPINC . '/class-wp-editor.php' );
+ 
  function wp_mce_translation() {
  
  	$default = array(
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/js/wp-lists.dev.js /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/wp-lists.dev.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/js/wp-lists.dev.js	2012-08-30 12:42:14.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/wp-lists.dev.js	2012-10-29 12:35:29.000000000 -0500
***************
*** 78,84 ****
  		if ( !s )
  			return false;
  
! 		if ( !e.is('[class^="add:' + list.id + ':"]') )
  			return !wpList.add.call( list, e, s );
  
  		if ( !s.element )
--- 78,84 ----
  		if ( !s )
  			return false;
  
! 		if ( !e.is('[id="' + s.what + '-add-submit"]') )
  			return !wpList.add.call( list, e, s );
  
  		if ( !s.element )
***************
*** 397,403 ****
  			return list.wpList.add(this);
  		});
  
! 		$el.delegate( '[class^="add:' + list.id + ':"]:not(form)', 'click', function(){
  			return list.wpList.add(this);
  		});
  
--- 397,403 ----
  			return list.wpList.add(this);
  		});
  
! 		$el.delegate( 'a[class^="add:' + list.id + ':"], input[class^="add:' + list.id + ':"]', 'click', function(){
  			return list.wpList.add(this);
  		});
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/load.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/load.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-includes/load.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/load.php	2012-10-29 12:35:30.000000000 -0500
***************
*** 105,116 ****
  	$php_version = phpversion();
  	if ( version_compare( $required_php_version, $php_version, '>' ) ) {
  		wp_load_translations_early();
! 		wp_die( sprintf( __( 'Your server is running PHP version %1$s but WordPress %2$s requires at least %3$s.' ), $php_version, $wp_version, $required_php_version ) );
  	}
  
  	if ( ! extension_loaded( 'mysql' ) && ! file_exists( WP_CONTENT_DIR . '/db.php' ) ) {
  		wp_load_translations_early();
! 		wp_die( __( 'Your PHP installation appears to be missing the MySQL extension which is required by WordPress.' ) );
  	}
  }
  
--- 105,116 ----
  	$php_version = phpversion();
  	if ( version_compare( $required_php_version, $php_version, '>' ) ) {
  		wp_load_translations_early();
! 		die( sprintf( __( 'Your server is running PHP version %1$s but WordPress %2$s requires at least %3$s.' ), $php_version, $wp_version, $required_php_version ) );
  	}
  
  	if ( ! extension_loaded( 'mysql' ) && ! file_exists( WP_CONTENT_DIR . '/db.php' ) ) {
  		wp_load_translations_early();
! 		die( __( 'Your PHP installation appears to be missing the MySQL extension which is required by WordPress.' ) );
  	}
  }
  
***************
*** 685,691 ****
  	require_once ABSPATH . WPINC . '/locale.php';
  
  	// General libraries
- 	require_once ABSPATH . WPINC . '/functions.php';
  	require_once ABSPATH . WPINC . '/plugin.php';
  
  	$locales = $locations = array();
--- 685,690 ----
